package de.ivu.elect.business.lokalisierung.control;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

public class LokalisierungSchluesselCollector implements Serializable {

  private final Set<String> verwendeteSchluessel = new HashSet<>(1000);

  private String viewId;

  public void addSchluessel(String schluessel) {
    if (schluessel != null) {
      verwendeteSchluessel.add(schluessel);
    }
  }

  public Set<String> getVerwendeteSchluessel() {
    return verwendeteSchluessel;
  }

  public String getViewId() {
    return viewId;
  }

  public void setViewId(String viewId) {
    this.viewId = viewId;
  }
}
